JBoss API: Interface NamingAliasMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface NamingAliasMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  NamingAlias

public interface NamingAliasMBean
extends ServiceMBean

A simple utility mbean that allows one to create an alias in the form of a LinkRef from one JNDI name to another.

Version:
  $Revision: 1.1 $
Author:
  Scott_Stark@displayscape.com

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getFromName()` Get the from name of the alias.
`java.lang.String` | `getToName()` Get the to name of the alias.
`void` | `setFromName(java.lang.String name)` Set the from name of the alias.
`void` | `setToName(java.lang.String name)` Set the to name of the alias.

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### getFromName

    public java.lang.String getFromName()

  Get the from name of the alias. This is the location where the LinkRef is bound under JNDI.
  Returns:
    the location of the LinkRef

### setFromName

    public void setFromName(java.lang.String name)
                     throws javax.naming.NamingException

  Set the from name of the alias. This is the location where the LinkRef is bound under JNDI.
  Parameters:
    `name,` - the location where the LinkRef will be bound

### getToName

    public java.lang.String getToName()

  Get the to name of the alias. This is the target name to which the LinkRef refers. The name is a URL, or a name to be resolved relative to the initial context, or if the first character of the name is ".", the name is relative to the context in which the link is bound.
  Returns:
    the target JNDI name of the alias.

### setToName

    public void setToName(java.lang.String name)
                   throws javax.naming.NamingException

  Set the to name of the alias. This is the target name to which the LinkRef refers. The name is a URL, or a name to be resolved relative to the initial context, or if the first character of the name is ".", the name is relative to the context in which the link is bound.
  Parameters:
    `name,` - the target JNDI name of the alias.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.